<template lang="pug">
router-link(:to="{name: name}" custom v-slot="{ navigate, isActive, isExactActive }")
	q-item(v-ripple clickable @click="navigate", :active="isActive || isExactActive || route.meta.pageName === name").q-pa-sm
		q-item-section(avatar)
			q-icon(:name="icon")
		q-item-section
			slot
</template>

<script lang="ts" setup>
	import { defineProps } from 'vue'
	import { useRoute } from 'vue-router'
	const props = defineProps({
		name: String,
		icon: String,
	})
	const route = useRoute()
</script>

<style lang="scss" scoped></style>
